import CommonTemplate from "./common-template.mjs"
import { INTEGER, INTEGER_SIGNED } from "./field-types.mjs"

const fields = foundry.data.fields

export class CommonComestible extends CommonTemplate {
  fields() {
    return {
      sust: new fields.NumberField({ label: "Sustentation", initial: 0, ...INTEGER }),
      exotisme: new fields.NumberField({ label: "Exotisme", initial: 0, ...INTEGER_SIGNED, min: -10, max: 0 }),
    }
  }
  handlebars() {
    return [
      "systems/foundryvtt-reve-de-dragon/templates/sheets/item/common/template-comestible.hbs",
    ]
  }
  actions() { return {} }
  async prepareContext(item) { return {} }
}
